Create a folder
POST
/api/v1/projects/{projectId}/folders
const url = 'https://api.yggy.tech/api/v1/projects/example/folders';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","parentFolderId":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.yggy.tech/api/v1/projects/example/folders \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "parentFolderId": "example" }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” projectId
required
string
Request Body
Section titled “Request Body ” Media type application/json
object
name
required
string
parentFolderId
string | null
Example generated
{ "name": "example", "parentFolderId": "example"}Responses
Section titled “ Responses ”Created
Media type application/json
object
folderId
required
string
name
required
string
parentFolderId
required
string | null
projectExternalId
required
string
createdAt
required
string
updatedAt
required
string
deletedAt
string | null
childCount
number
documentCount
number
Example generated
{ "folderId": "example", "name": "example", "parentFolderId": "example", "projectExternalId": "example", "createdAt": "example", "updatedAt": "example", "deletedAt": "example", "childCount": 1, "documentCount": 1}